ALL(3Cg)

NAME
all - returns true if a boolean scalar or all components of a boolean vector are true.

SYNOPSIS
  bool all(bool a);
  bool all(bool1 a);
  bool all(bool2 a);
  bool all(bool3 a);
  bool all(bool4 a);

PARAMETERS

a   Boolean vector or scalar of which to determine if any component is true.

DESCRIPTION
Returns true if a boolean scalar or all components of a boolean vector are true.

REFERENCE IMPLEMENTATION
all for a bool4 vector could be implemented like this.

  bool all(bool4 a)
  {
    return a.x && a.y && a.z && a.w;
  }

PROFILE SUPPORT
all is supported in all profiles.

Support in the fp20 is limited.

SEE ALSO
any